# ViewConfiguration

interface ViewConfiguration : HasConfigurableAttributes<SELF>

Configuration for a defined artifact view.

#### Since

4.0

## Functions

attributes
Link copied to clipboard
abstract fun attributes(action: Action<in AttributeContainer>): SELF
componentFilter
Link copied to clipboard
abstract fun componentFilter(componentFilter: Spec<in ComponentIdentifier>): ArtifactView.ViewConfiguration
Specify a filter for the components that should be included in this view.
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
isLenient
Link copied to clipboard
abstract fun isLenient(): Boolean
Determines whether the view should be resolved in a 'lenient' fashion.
lenient
Link copied to clipboard
abstract fun lenient(lenient: Boolean): ArtifactView.ViewConfiguration
Specify if the view should be resolved in a 'lenient' fashion.
setLenient
Link copied to clipboard
abstract fun setLenient(lenient: Boolean)
Specify if the view should be resolved in a 'lenient' fashion.
withVariantReselection
Link copied to clipboard
@Incubating
abstract fun withVariantReselection(): ArtifactView.ViewConfiguration
When invoked, this view will disregard existing attributes of its parent configuration and re-resolve the artifacts using only the attributes in the view's attribute container.